#ifdef HAVE_CONFIG_H
#include <config.h>
RCSID("$Id: herror.c,v 1.5 1996/08/26 22:48:07 assar Exp $");
#endif

#ifndef HAVE_HERROR

#include "roken.h"

#include <protos.h>

#include <stdio.h>
#include <netdb.h>

/*
 * herror --
 *	print the error indicated by the h_errno value.
 */
void
herror(char *s)
{
  if (s && *s)
    fprintf(stderr, "%s: %s\n", s, hstrerror(h_errno));
  else
    fprintf(stderr, "%s\n", hstrerror(h_errno));
}
#endif
